#ifndef __CROSSWIDGET_HH
#define __CROSSWIDGET_HH

#include <boost/numeric/ublas/vector.hpp>
#include "videoWidget.hh"

/// Class for crossing an image overlayed with a cross.
class CrossWidget: public VideoWidget
{
  Q_OBJECT
public:
  ///
  typedef boost::numeric::ublas::vector< double > Vector;
  ///
  CrossWidget( QWidget *parent = 0, Qt::WFlags f = 0 );
  /** Set position of cross.
      @param _v New position of cross. */ 
  void setCross( const Vector &_v );
  ///
  void clearCross(void);
protected:
  ///
  void paintGL(void);
  ///
  bool hasPoint;
  ///
  int pointX;
  ///
  int pointY;
};

#endif

